=== docs/requirements.txt ===
Django>=2.1
crispy-forms-foundation
