=== debian/changelog ===
python-django-crispy-forms-foundation (0.8.0+ds-1) unstable; urgency=medium

  * Upload to unstable
  * [472bfd4] d/control: Bump Standards-Version to 4.6.0
  * [27cafbe] d/control: Drop obsolete field Testsuite
  * [b58e991] d/control: Mark the -doc package Multi-Arch: foreign
  * [e78b96c] d/copyright: Drop Files-Excluded entry

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 26 Sep 2021 23:09:12 +0200

python-django-crispy-forms-foundation (0.8.0+ds-1~exp2) experimental; urgency=medium

  * [08f433d] d/control: Add python3-setuptools to Depends

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 30 May 2021 12:47:24 +0200

python-django-crispy-forms-foundation (0.8.0+ds-1~exp1) experimental; urgency=medium

  * [5065405] New upstream version 0.8.0+ds
  * [a8e67e4] First and basic Debianization (Closes: #988971)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 May 2021 09:48:28 +0200
