=== debian/control ===
Source: python-django-crispy-forms-foundation
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
Build-Depends-Indep:
 dh-python,
 python3-django-crispy-forms,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-crispy-forms-foundation
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-crispy-forms-foundation.git
Homepage: https://github.com/sveetch/crispy-forms-foundation

Package: python3-django-crispy-forms-foundation
Architecture: all
Depends:
 python3-django,
 python3-setuptools,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-crispy-forms-foundation-doc,
Description: Django-crispy-forms layout objects for Foundation for sites (Python3 version)
 This is a Django application to add django-crispy-forms layout objects for
 the CSS framework Foundation for sites. It depends on the
 python3-crispy-forms library.
 .
 django-crispy-forms provides you with a |crispy filter and {% crispy %} tag
 that will let you control the rendering behavior of your Django forms in a
 very elegant and DRY way. Have full control without writing custom form
 templates. All this without breaking the standard way of doing things in
 Django, so it plays nice with any other form application.
 .
 django-crispy-forms supports several frontend frameworks, such as Twitter
 Bootstrap (versions 3 and 4), Uni-form and Foundation. You can also easily
 adapt your custom company's one, creating your own, see the docs for more
 information. You can easily switch among them using CRISPY_TEMPLATE_PACK
 setting variable.
 .
 This package contains the Python 3 version of the library.

Package: python-django-crispy-forms-foundation-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Django-crispy-forms layout objects for Foundation for sites (Documentation)
 This is a Django application to add django-crispy-forms layout objects for
 the CSS framework Foundation for sites. It depends on the
 python3-crispy-forms library.
 .
 django-crispy-forms provides you with a |crispy filter and {% crispy %} tag
 that will let you control the rendering behavior of your Django forms in a
 very elegant and DRY way. Have full control without writing custom form
 templates. All this without breaking the standard way of doing things in
 Django, so it plays nice with any other form application.
 .
 django-crispy-forms supports several frontend frameworks, such as Twitter
 Bootstrap (versions 3 and 4), Uni-form and Foundation. You can also easily
 adapt your custom company's one, creating your own, see the docs for more
 information. You can easily switch among them using CRISPY_TEMPLATE_PACK
 setting variable.
 .
 This package contains the documentation.
