=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=django-crispy-forms-foundation
export PYBUILD_DISABLE=test
export PYBUILD_SYSTEM=distutils

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-django-crispy-forms-foundation-doc/usr/share/doc/python-django-crispy-forms-foundation-doc/html
	dh_sphinxdoc
endif

override_dh_auto_clean:
	rm -rf docs/.build
	dh_auto_clean
