=== debian/changelog ===
python-django-crispy-forms-foundation (0.9.0+ds-1) unstable; urgency=medium

  * [264d084] d/gbp.conf: More specific upstream data exclusion
    Do not exclude the complete sandbox folder, the content is needed for
    running the upstream test suite.
  * [c5b7854] New upstream version 0.9.0+ds
  * [a508f40] d/watch: Add repacksuffix to opts variable
  * [53f1372] d/copyright: Update year data, adjust base data
  * [e202f25] d/control: Bump Standards-Version to 4.6.1
    No further changes needed.
  * [934286d] d/{control,rules}: Move over to dh-sequence-python3
  * [72d354e] d/control: Add needed pytest packages to Build-Depends
  * [a8b4f38] d/rules: Run the internal tests while package build
  * [bd198bf] d/rules: Remove extra license file after install
  * [1f1fcfc] autopkgtest: Add first working setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 25 Oct 2022 19:28:56 +0200
