=== debian/control ===
--- 
+++ 
@@ -8,13 +8,16 @@
  debhelper-compat (= 13),
  python3-all,
 Build-Depends-Indep:
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-django-crispy-forms,
+ python3-pytest,
+ python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-crispy-forms-foundation
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-crispy-forms-foundation.git
 Homepage: https://github.com/sveetch/crispy-forms-foundation
