=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,10 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=django-crispy-forms-foundation
-export PYBUILD_DISABLE=test
-export PYBUILD_SYSTEM=distutils
+export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python*/dist-packages/crispy_forms_foundation-*.dist-info/LICENCE.txt
 
 %:
-	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with=sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
@@ -21,3 +20,8 @@
 override_dh_auto_clean:
 	rm -rf docs/.build
 	dh_auto_clean
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. python3 -m pytest tests -v
+endif
