=== debian/changelog ===
python-django-crispy-forms-foundation (1.0.2+ds-1) unstable; urgency=medium

  * [001fec7] d/watch: Add compression=gz
  * [e454ef1] New upstream version 1.0.2+ds
  * [eadf11f] d/copyright: Update year data
  * [090b4b3] d/control: Bump Standards-Version to 4.6.2
  * [e8d657a] d/control: Add BuildProfileSpecs
  * [21c8ccc] d/control: Add dh-sequence-sphinxdoc to B-D
  * [741755e] d/rules: Drop --with option from default target
  * [20a3703] d/control: Depend on python3-django-crispy-forms >= 2.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 25 Feb 2024 08:22:18 +0100
