=== debian/control ===
--- 
+++ 
@@ -7,17 +7,18 @@
 Build-Depends:
  debhelper-compat (= 13),
  python3-all,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
 Build-Depends-Indep:
- dh-sequence-python3,
  pybuild-plugin-pyproject,
- python3-django-crispy-forms,
- python3-pytest,
- python3-pytest-django,
+ python3-django-crispy-forms <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-django <!nocheck>,
  python3-setuptools,
- python3-sphinx,
- python3-sphinx-rtd-theme,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-crispy-forms-foundation
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-crispy-forms-foundation.git
 Homepage: https://github.com/sveetch/crispy-forms-foundation
@@ -25,8 +26,7 @@
 Package: python3-django-crispy-forms-foundation
 Architecture: all
 Depends:
- python3-django,
- python3-setuptools,
+ python3-django-crispy-forms (>= 2.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
