=== debian/changelog ===
python-django-crispy-forms-foundation (1.1.0+ds-3) unstable; urgency=medium

  * Team upload.
  * [8b7525c] d/control: Drop <!nocheck> from python3-django-crispy-forms.
    Closes: #1116853.
  * [74e28b5] d/salsa-ci.yml: Add file.

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 01:10:00 +0200

python-django-crispy-forms-foundation (1.1.0+ds-2) unstable; urgency=medium

  * [cf3419d] d/watch: Convert to version 5

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 29 Aug 2025 15:54:33 +0200

python-django-crispy-forms-foundation (1.1.0+ds-1) unstable; urgency=medium

  * [11fdabf] New upstream version 1.1.0+ds
  * [02b7d31] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.
  * [e161ae2] d/control: Remove Rules-Requires-Root
    That's now the default.
  * [512dd78] d/control: Adjust build dependencies
  * [5d13504] d/copyright: Update year data
  * [6ed95aa] d/control: Reorder and adjust package descriptions

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 15 Aug 2025 14:58:17 +0200
