=== debian/control ===
Source: python-django-crispy-forms-foundation
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
Build-Depends-Indep:
 furo <!nodoc>,
 pybuild-plugin-pyproject,
 python3-django-crispy-forms,
 python3-pytest <!nocheck>,
 python3-pytest-django <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-crispy-forms-foundation
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-crispy-forms-foundation.git
Homepage: https://github.com/sveetch/crispy-forms-foundation

Package: python-django-crispy-forms-foundation-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Django-crispy-forms layout objects for Foundation for sites (Documentation)
 This is a Django application to add django-crispy-forms layout objects for
 the CSS framework Foundation for sites. It depends on the
 python3-crispy-forms library.
 .
 django-crispy-forms provides you with a |crispy filter and {% crispy %} tag
 that will let you control the rendering behavior of your Django forms in a
 very elegant and DRY way. Have full control without writing custom form
 templates. All this without breaking the standard way of doing things in
 Django, so it plays nice with any other form application.
 .
 django-crispy-forms supports several frontend frameworks, such as Twitter
 Bootstrap (versions 3 and 4), Tailwind, Bulma and Foundation. You can also
 easily adapt your custom company's one, creating your own, see the docs for
 more information. You can easily switch among them using
 CRISPY_TEMPLATE_PACK setting variable.
 .
 This package contains the documentation.

Package: python3-django-crispy-forms-foundation
Architecture: all
Depends:
 python3-django-crispy-forms (>= 2.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-crispy-forms-foundation-doc,
Description: Django-crispy-forms layout objects for Foundation for sites (Python3 version)
 This is a Django application to add django-crispy-forms layout objects for
 the CSS framework Foundation for sites. It depends on the
 python3-crispy-forms library.
 .
 django-crispy-forms provides you with a |crispy filter and {% crispy %} tag
 that will let you control the rendering behavior of your Django forms in a
 very elegant and DRY way. Have full control without writing custom form
 templates. All this without breaking the standard way of doing things in
 Django, so it plays nice with any other form application.
 .
 django-crispy-forms supports several frontend frameworks, such as Twitter
 Bootstrap (versions 3 and 4), Tailwind, Bulma and Foundation. You can also
 easily adapt your custom company's one, creating your own, see the docs for
 more information. You can easily switch among them using
 CRISPY_TEMPLATE_PACK setting variable.
 .
 This package contains the Python 3 version of the library.
