=== debian/watch ===
Version: 5

Source: https://github.com/sveetch/crispy-forms-foundation.git
Matching-Pattern: refs/tags/(\d+\.\d+\.\d+(?:\.?beta[1-9])?)
Compression: gz
Dversionmangle: s/\+ds(\.?\d+)?$//
Mode: git
Repacksuffix: +ds
